no key · no human
Home › API documentation › Every endpoint › GET /v1/btc/price

GET /v1/btc/price

BTC/USDT candles

bash
curl "https://freenewsapi.ai/v1/btc/price"
response
{
 "from": "2026-09-27T13:25:04Z",
 "to": "2026-10-27T13:25:04Z",
 "interval": "hour",
 "points": 719,
 "candles": [
  {
   "time": "2026-09-27T14:00:00Z",
   "open": 85030.41,
   "high": 85048.14,
   "low": 84450.0,
   "close": 84538.02,
   "volume": 539.0402,
   "trades": 112047,
   "hours": 1
  },
  {
   "time": "2026-09-27T15:00:00Z",
   "open": 84538.01,
   "high": 84644.01,
   "low": 84364.0,
   "close": 84463.37,
   "volume": 477.1943,
   "trades": 110219,
   "hours": 1
  },
  {
   "time": "2026-09-27T16:00:00Z",
   "open": 84463.38,
   "high": 84687.32,
   "low": 84380.0,
   "close": 84426.0,
   "volume": 303.3228,
   "trades": 74184,
   "hours": 1
  },
  {
   "time": "2026-09-27T17:00:00Z",
   "open": 84426.0,
   "high": 84574.01,
   "low": 84342.0,
   "close": 84574.0,
   "volume": 248.0213,
   "trades": 40934,
   "hours": 1
  },
  {
   "time": "2026-09-27T18:00:00Z",
   "open": 84574.0,
   "high": 84820.74,
   "low": 84565.9,
   "close": 84818.87,
   "volume": 245.9369,
   "trades": 43520,
   "hours": 1
  },
  {
   "time": "2026-09-27T19:00:00Z",
   "open": 84818.87,
   "high": 84843.0,
   "low": 84666.0,
   "close": 84736.01,
   "volume": 208.9486,
   "trades": 36639,
   "hours": 1
  },
  {
   "time": "2026-09-27T20:00:00Z",
   "open": 84736.02,
   "high": 84813.0,
   "low": 84548.0,
   "close": 84552.0,
   "volume": 221.7569,
   "trades": 35807,
   "hours": 1
  },
…

Parameters

nametypedefaultmeaning
intervalstringhourhour | day | week
fromstring—Start: YYYY-MM-DD, unix seconds or now-30d
tostring—End, exclusive

No key, no header, no signup. Unknown query parameters are ignored, so adding one can never break a request. Errors are documented on the errors page.

As an MCP tool

The same endpoint is exposed to agents as news_get_btc_price with the identical parameters — see the MCP server.

← all endpoints